[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TArrayNodesTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: intfgraphics.pas line 347

`type TArrayNodesTree = class`
`public`
`Root: TArrayNode;` |  |
`function FindNode();` |  |
`function FindData();` |  |
`function SetNode();` |  |
`procedure Delete();` |  |
`procedure Clear;` |  |
`constructor Create;` |  | Constructor for the class instance.
`destructor Destroy; override;` |  | Destructor for the class instance.
`procedure ConsistencyCheck;` |  |
`end;`

## Inheritance

`TArrayNodesTree` |  |
`TObject`